# PageImageSource enum

The source of an image.

Inheritance
  - Object
  - Enum
  - PageImageSource
Available extensions
  - EnumName

## Values

UNDEFINED → const PageImageSource

  The source of the image is not known.

MANUAL_SNAP → const PageImageSource

  The image was captured manually.

AUTO_SNAP → const PageImageSource

  The image was captured automatically.

CAMERA_FRAME → const PageImageSource

  The image originates from a camera video frame.

IMPORTED → const PageImageSource

  The image originates from the photo/media gallery.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<PageImageSource>
  A constant List of the values in this enum, in order of their declaration.